/*==========================================================
// Filename : Border.H
// Written by : MENGWRR
// Complier : Turbo C
==========================================================*/

#if !defined(_BORDER_)
#define _BORDER_

#include <graphics.h>

#define BorderDown 15
#define BorderUp 31

#define LeftSide 1
#define TopSide 2
#define RightSide 4
#define BottomSide 8
#define BoxUp 16

#define LIGHT_COLOR WHITE
#define DARK_COLOR DARKGRAY
extern int BORDER_COLOR;
extern int FLOOR_COLOR;

typedef struct {
	unsigned int Left, Top, Right, Bottom;
	} BORDER;

void BDDraw( BORDER *bor , int UpDown, int Depth );
void BDLine( BORDER *bor , int UpDown, int Depth );
void BDFillIn( BORDER *bor, int FloorColor, int BounColor );

void BDLayOut( BORDER *bor, unsigned char Color, unsigned char Thickness );
void BDPaint( BORDER *bor, unsigned char FloorColor );
void BDDrawBox( BORDER *bor, int SideUD, int Depth );

#endif
