/*
Ŀ
  FILENAME : Control.H                                    
  COMPILER : Turbo C++ Version 1.00                       
Ĵ
  Present by MR.Watcharop   Riangrungrote (WRR)           
             Mechanical   Engineering                     
             Chulalongkorn University                     

*/

#if !defined(__CONTROL_H__)
#define __CONTROL_H__

class ImaCtrl
{
	private :
		int StartX, StartY;
		int Row, Col;
		int ResX, ResY;
		int CurRow, CurCol;
		int SizeX, SizeY;
		BYTE ImaShow;
		MapPtr Image;
		MapPtr ImaPick;

		DWORD TimeLastBlink, CntLoopMove;
		BYTE ImaActive;   // if ImaActive == 1, means Image was displayed
		BYTE CtrlRun; // if CtrlRun == 1, run ImaCtrl

		int Left, Top, Right, Bottom;

		void Restore( void );
		void Active( void );
		void NewRC( int row, int col );
		void GetImage( void );
		void CalBorder( void );
		void TimeCtrl( void );

	public :
		ImaCtrl( int SX, int SY, int row, int col, int resX, int resY,
				 MapPtr Ima );
		~ImaCtrl( void );
		void SwitchOn( void );
		void SwitchOff( void );
		unsigned int Run( void );
		void GetRC( int *row, int *col );
		void GetCenterXY( int *x, int *y );
};

#endif