#if !defined(_MANAGER_GAME_)
#define _MANAGER_GAME_

#include "standard.h"
#include "path.h"
#include "actor.h"
#include "gametime.h"
#include "message.h"

#define MAX_ACTOR2 36

class MANAGER : public GAMETIME
{
	private :
		int StartRadius;
		int FinalR, FinalC;
		ACTOR1 *Actor1;
		ACTOR2 *Actor2[MAX_ACTOR2];
		PathAPP *MapMAIN;
		MESSAGE *MsgMAIN;
		MapPtr WarnIma;

		int ChkActPos( void );	// Actor1 found Actor2 ?
		int ChkFinal( void );
		int QuitYN( void );

	public :
		MANAGER( char *FileStage );
		MANAGER::~MANAGER( void );

		int Run( void );
		void EndTitle( int EndCode );
};

#endif