#if !defined(__MESSAGE__)
#define __MESSAGE__

#include "border.h"
#include "standard.h"

#define ST_GOOD_ACTOR 0
#define NUM_GOOD_ACTOR 14
#define ST_BAD_ACTOR 14
#define NUM_BAD_ACTOR 5

#define GOOD_ACTOR 16	// if NumAct2 < 16 will be GOOD_ACTOR

class MESSAGE
{
	private :
		char MsgText[128];
		int BaseX, BaseY;
		int MsgCode;
		int MsgHeight, MsgWidth;
//		int TextOffsetX, TextOffsetY;
		int SaveX, SaveY, SaveChk;
		char far *SaveScr;
		BORDER Border;
		DWORD StartTime;

		void CalMsgBorder( int radius );
		void DrawMsgBox( void );
		void ClearMsgBox( void );

	public :
		MESSAGE( int BX, int BY, int radius, int Code );
		~MESSAGE( void );
		int Run( int BX, int BY );
		void BaseMove( int BX, int BY );
};

#endif