/*
ͻ
  FILENAME : Standard.CPP                                 
  COMPILER : Turbo C++ Version 1.00                       
  INCLUDE  : Standard.H                                   
͹
  Present by MR.Watcharop   Riangrungrote (WRR)           
             Mechanical   Engineering                     
             Chulalongkorn University                     
ͼ
*/

#include "standard.h"

unsigned long far *btime = (unsigned long far *)0X0040006CL;
unsigned long int _SpeedLoop = 0;
WORD far *CursorShape = (WORD far *)0X0460L;

void TestSpeed( void )
{
	unsigned long t = *btime;
	_SpeedLoop = 0;
	while( *btime - t < 1 );
	t = *btime;
	while( *btime - t < 1 )
		_SpeedLoop++;
}

void BltBitLine( void far *BitLine, int StBit, int EndBit,
				 unsigned char Mask, int bltbit )
{
	(char far *) BitLine += StBit / 8;
	unsigned char StMaskBit = 0X8000 >> StBit % 8;
	unsigned int *UIntPtr = (unsigned int far *)BitLine;
	unsigned char MaskBit = 0X80;

	switch( bltbit ) {
	case 0 : // COPY_PUT
		for( ; StBit <= EndBit ; StBit++ )
		{
			if( Mask & MaskBit )
				*UIntPtr |= StMaskBit;
			else
				*UIntPtr &= StMaskBit ^ 0XFF;
			StMaskBit >>= 1;
			MaskBit >>= 1;
		}
		return;
	case 1 : // XOR_PUT
		for( ; StBit <= EndBit ; StBit++ )
		{
			if( Mask & MaskBit )
				*UIntPtr ^= StMaskBit;
			StMaskBit >>= 1;
			MaskBit >>= 1;
		}
		return;
	case 2 : // OR_PUT
		for( ; StBit <= EndBit ; StBit++ )
		{
			if( Mask & MaskBit )
				*UIntPtr |= StMaskBit;
			StMaskBit >>= 1;
			MaskBit >>= 1;
		}
		return;
	case 3 : // AND_PUT
		for( ; StBit <= EndBit ; StBit++ )
		{
			if( !(Mask & MaskBit) )
				*UIntPtr &= StMaskBit^0XFF;
			StMaskBit >>= 1;
			MaskBit >>= 1;
		}
		return;
	case 4 : // NOT_PUT
		for( ; StBit <= EndBit ; StBit++ )
		{
			if( Mask & MaskBit )
				*UIntPtr &= StMaskBit^0XFF;
			else
				*UIntPtr |= StMaskBit;
			StMaskBit >>= 1;
			MaskBit >>= 1;
		}
		return;
	}
}

